using System;

namespace takmicenje2022Krug1
{
    class Program
    {
        static void Main(string[] args)
        {
            long broj1 = Convert.ToInt64(Console.ReadLine());
            long broj2 = Convert.ToInt64(Console.ReadLine());
            long rezultat = 0;
            long brojStepena = 0;
            while (broj1 > 0 || broj2 > 0)
            {
                if(broj1%10>=broj2%10)
                {
                    rezultat += broj1 % 10 * Convert.ToInt64(Math.Pow(10, brojStepena));
                }
                else
                {
                    rezultat += broj2 % 10 * Convert.ToInt64(Math.Pow(10, brojStepena));
                }
                broj1 /= 10;
                broj2 /= 10;
                brojStepena++;
            }
            Console.WriteLine(rezultat);
        }
    }
}